Mozilla Firefox 3.5.1 também possui brecha de segurança no JavaScript

Alyen

firefoxNOTSOfixed - Mozilla Firefox 3.5.1 também possui brecha de segurança no JavaScriptA menos de três dias após a liberação da versão 3.5.1 do Firefox para correção de falhas de segurança envolvendo o motor de JavaScript, o browser já possui nova brecha descoberta e comprovada.

A falha atinge o método document.write, que após receber uma string Unicode muito longa causa um estouro da pilha de memória (buffer overflow) possibilitando a execução de código remota, comprometendo o sistema ou causando um ataque DOS (Denial Of Service).

A Mozilla, desenvolvedora do browser, respondeu à noticia informando que apesar da falha realmente existir, técnicas de segurança presentes nas ultimas versões do browser não permitem a mesma seja explorada, entretanto, já foi tornada publica uma prova de conceito, e sites de segurança como SANS Internet Storm Center e IBM ISS X-Force já terem confirmado a falha.

E não para por aí, com esta falha, desabilitar manualmente a execução de JavaScript pelo browser NÃO é suficiente para evitar a execução de código pelo atacante. Até o momento não foi liberada nenhuma correção para o problema e a recomendação, assim como das outras vezes, é não visitar sites que não sejam confiáveis até que o problema seja resolvido.

Iniciar o download do [download id=”30″] – via tecnoblog.net.

[easy-social-share buttons="facebook,twitter,google,pinterest,print,mail,love" counters=1 counter_pos="insidebeforename" style="button" point_type="simple" url="https://www.tecnologiaetudo.com/navegadores/firefox/mozilla-firefox-3-5-1-tambem-possui-brecha-de-seguranca-no-javascript/" text="Mozilla Firefox 3.5.1 também possui brecha de segurança no JavaScript"]

Artigos relacionados

Temas
Tecnologia é Tudo © 2020 - Todos os direitos reservados.Desenvolvido por Alyen Studio